=== modified file 'drizzled/functions/Makefile.am'
--- drizzled/functions/Makefile.am	2008-10-10 21:17:54 +0000
+++ drizzled/functions/Makefile.am	2008-10-11 02:15:37 +0000
@@ -17,13 +17,17 @@
 
 noinst_LTLIBRARIES = 	libfunctions.la
 
-libfunctions_la_SOURCES = additive_op.cc \
+libfunctions_la_SOURCES = abs.cc \
+			  additive_op.cc \
 			  connection_id.cc \
 			  decimal_typecast.cc \
 			  divide.cc \
+			  exp.cc \
 			  func.cc \
                           int.cc \
                           int_divide.cc \
+			  ln.cc \
+			  log.cc \
 			  minus.cc \
 			  mod.cc \
 			  multiply.cc \
@@ -36,13 +40,18 @@
 			  signed.cc \
 			  unsigned.cc
 
-noinst_HEADERS = additive_op.h \
+noinst_HEADERS = abs.h \
+		 additive_op.h \
 		 connection_id.h \
+		 dec.h \
 		 decimal_typecast.h \
 		 divide.h \
+		 exp.h \
 		 func.h \
                  int.h \
                  int_divide.h \
+		 ln.h \
+		 log.h \
 		 minus.h \
 		 mod.h \
 		 multiply.h \

=== added file 'drizzled/functions/abs.cc'
--- drizzled/functions/abs.cc	1970-01-01 00:00:00 +0000
+++ drizzled/functions/abs.cc	2008-10-11 02:15:37 +0000
@@ -0,0 +1,60 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2008 Sun Microsystems
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#include <drizzled/server_includes.h>
+#include CSTDINT_H
+#include <drizzled/functions/abs.h>
+
+double Item_func_abs::real_op()
+{
+  double value= args[0]->val_real();
+  null_value= args[0]->null_value;
+  return fabs(value);
+}
+
+
+int64_t Item_func_abs::int_op()
+{
+  int64_t value= args[0]->val_int();
+  if ((null_value= args[0]->null_value))
+    return 0;
+  return (value >= 0) || unsigned_flag ? value : -value;
+}
+
+
+my_decimal *Item_func_abs::decimal_op(my_decimal *decimal_value)
+{
+  my_decimal val, *value= args[0]->val_decimal(&val);
+  if (!(null_value= args[0]->null_value))
+  {
+    my_decimal2decimal(value, decimal_value);
+    if (decimal_value->sign())
+      my_decimal_neg(decimal_value);
+    return decimal_value;
+  }
+  return 0;
+}
+
+
+void Item_func_abs::fix_length_and_dec()
+{
+  Item_func_num1::fix_length_and_dec();
+  unsigned_flag= args[0]->unsigned_flag;
+}
+

=== added file 'drizzled/functions/abs.h'
--- drizzled/functions/abs.h	1970-01-01 00:00:00 +0000
+++ drizzled/functions/abs.h	2008-10-11 02:15:37 +0000
@@ -0,0 +1,37 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2008 Sun Microsystems
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#ifndef DRIZZLED_FUNCTIONS_ABS_H
+#define DRIZZLED_FUNCTIONS_ABS_H
+
+#include <drizzled/functions/func.h> 
+#include <drizzled/functions/num1.h> 
+
+class Item_func_abs :public Item_func_num1
+{
+public:
+  Item_func_abs(Item *a) :Item_func_num1(a) {}
+  double real_op();
+  int64_t int_op();
+  my_decimal *decimal_op(my_decimal *);
+  const char *func_name() const { return "abs"; }
+  void fix_length_and_dec();
+};
+
+#endif /* DRIZZLED_FUNCTIONS_ABS_H */

=== added file 'drizzled/functions/dec.h'
--- drizzled/functions/dec.h	1970-01-01 00:00:00 +0000
+++ drizzled/functions/dec.h	2008-10-11 02:15:37 +0000
@@ -0,0 +1,42 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2008 Sun Microsystems
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#ifndef DRIZZLED_FUNCTIONS_DEC_H
+#define DRIZZLED_FUNCTIONS_DEC_H
+
+#include <drizzled/functions/func.h> 
+#include <drizzled/functions/real.h> 
+
+// A class to handle logarithmic and trigonometric functions
+
+class Item_dec_func :public Item_real_func
+{
+ public:
+  Item_dec_func(Item *a) :Item_real_func(a) {}
+  Item_dec_func(Item *a,Item *b) :Item_real_func(a,b) {}
+  void fix_length_and_dec()
+  {
+    decimals=NOT_FIXED_DEC; max_length=float_length(decimals);
+    maybe_null=1;
+  }
+};
+
+
+
+#endif /* DRIZZLED_FUNCTIONS_DEC_H */

=== added file 'drizzled/functions/exp.cc'
--- drizzled/functions/exp.cc	1970-01-01 00:00:00 +0000
+++ drizzled/functions/exp.cc	2008-10-11 02:15:37 +0000
@@ -0,0 +1,33 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2008 Sun Microsystems
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#include <drizzled/server_includes.h>
+#include CSTDINT_H
+#include <drizzled/item_func.h>
+#include <drizzled/functions/exp.h>
+
+double Item_func_exp::val_real()
+{
+  assert(fixed == 1);
+  double value= args[0]->val_real();
+  if ((null_value=args[0]->null_value))
+    return 0.0; /* purecov: inspected */
+  return fix_result(exp(value));
+}
+

=== added file 'drizzled/functions/exp.h'
--- drizzled/functions/exp.h	1970-01-01 00:00:00 +0000
+++ drizzled/functions/exp.h	2008-10-11 02:15:37 +0000
@@ -0,0 +1,34 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2008 Sun Microsystems
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#ifndef DRIZZLED_FUNCTIONS_EXP_H
+#define DRIZZLED_FUNCTIONS_EXP_H
+
+#include <drizzled/functions/func.h> 
+#include <drizzled/functions/dec.h> 
+
+class Item_func_exp :public Item_dec_func
+{
+public:
+  Item_func_exp(Item *a) :Item_dec_func(a) {}
+  double val_real();
+  const char *func_name() const { return "exp"; }
+};
+
+#endif /* DRIZZLED_FUNCTIONS_EXP_H */

=== added file 'drizzled/functions/ln.cc'
--- drizzled/functions/ln.cc	1970-01-01 00:00:00 +0000
+++ drizzled/functions/ln.cc	2008-10-11 02:15:37 +0000
@@ -0,0 +1,38 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2008 Sun Microsystems
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#include <drizzled/server_includes.h>
+#include CSTDINT_H
+#include <drizzled/functions/ln.h>
+
+/** Gateway to natural LOG function. */
+double Item_func_ln::val_real()
+{
+  assert(fixed == 1);
+  double value= args[0]->val_real();
+  if ((null_value= args[0]->null_value))
+    return 0.0;
+  if (value <= 0.0)
+  {
+    signal_divide_by_null();
+    return 0.0;
+  }
+  return log(value);
+}
+

=== added file 'drizzled/functions/ln.h'
--- drizzled/functions/ln.h	1970-01-01 00:00:00 +0000
+++ drizzled/functions/ln.h	2008-10-11 02:15:37 +0000
@@ -0,0 +1,33 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2008 Sun Microsystems
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#ifndef DRIZZLED_FUNCTIONS_LN_H
+#define DRIZZLED_FUNCTIONS_LN_H
+
+#include <drizzled/functions/func.h> 
+
+class Item_func_ln :public Item_dec_func
+{
+public:
+  Item_func_ln(Item *a) :Item_dec_func(a) {}
+  double val_real();
+  const char *func_name() const { return "ln"; }
+};
+
+#endif /* DRIZZLED_FUNCTIONS_LN_H */

=== added file 'drizzled/functions/log.cc'
--- drizzled/functions/log.cc	1970-01-01 00:00:00 +0000
+++ drizzled/functions/log.cc	2008-10-11 02:15:37 +0000
@@ -0,0 +1,84 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2008 Sun Microsystems
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#include <drizzled/server_includes.h>
+#include CSTDINT_H
+#include <drizzled/functions/log.h>
+
+/**
+  Extended but so slower LOG function.
+
+  We have to check if all values are > zero and first one is not one
+  as these are the cases then result is not a number.
+*/
+double Item_func_log::val_real()
+{
+  assert(fixed == 1);
+  double value= args[0]->val_real();
+  if ((null_value= args[0]->null_value))
+    return 0.0;
+  if (value <= 0.0)
+  {
+    signal_divide_by_null();
+    return 0.0;
+  }
+  if (arg_count == 2)
+  {
+    double value2= args[1]->val_real();
+    if ((null_value= args[1]->null_value))
+      return 0.0;
+    if (value2 <= 0.0 || value == 1.0)
+    {
+      signal_divide_by_null();
+      return 0.0;
+    }
+    return log(value2) / log(value);
+  }
+  return log(value);
+}
+
+double Item_func_log2::val_real()
+{
+  assert(fixed == 1);
+  double value= args[0]->val_real();
+
+  if ((null_value=args[0]->null_value))
+    return 0.0;
+  if (value <= 0.0)
+  {
+    signal_divide_by_null();
+    return 0.0;
+  }
+  return log(value) / M_LN2;
+}
+
+double Item_func_log10::val_real()
+{
+  assert(fixed == 1);
+  double value= args[0]->val_real();
+  if ((null_value= args[0]->null_value))
+    return 0.0;
+  if (value <= 0.0)
+  {
+    signal_divide_by_null();
+    return 0.0;
+  }
+  return log10(value);
+}
+

=== added file 'drizzled/functions/log.h'
--- drizzled/functions/log.h	1970-01-01 00:00:00 +0000
+++ drizzled/functions/log.h	2008-10-11 02:15:37 +0000
@@ -0,0 +1,51 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2008 Sun Microsystems
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#ifndef DRIZZLED_FUNCTIONS_LOG_H
+#define DRIZZLED_FUNCTIONS_LOG_H
+
+#include <drizzled/functions/func.h> 
+
+class Item_func_log :public Item_dec_func
+{
+public:
+  Item_func_log(Item *a) :Item_dec_func(a) {} 
+  Item_func_log(Item *a,Item *b) :Item_dec_func(a,b) {}
+  double val_real();
+  const char *func_name() const { return "log"; }
+};
+
+class Item_func_log2 :public Item_dec_func
+{
+public:
+  Item_func_log2(Item *a) :Item_dec_func(a) {}
+  double val_real();
+  const char *func_name() const { return "log2"; }
+};
+
+
+class Item_func_log10 :public Item_dec_func
+{
+public:
+  Item_func_log10(Item *a) :Item_dec_func(a) {}
+  double val_real();
+  const char *func_name() const { return "log10"; }
+};
+
+#endif /* DRIZZLED_FUNCTIONS_LOG_H */

=== modified file 'drizzled/item_func.cc'
--- drizzled/item_func.cc	2008-10-10 21:17:54 +0000
+++ drizzled/item_func.cc	2008-10-11 02:15:37 +0000
@@ -150,129 +150,6 @@
   return copy_or_same(thd);
 }
 
-double Item_func_abs::real_op()
-{
-  double value= args[0]->val_real();
-  null_value= args[0]->null_value;
-  return fabs(value);
-}
-
-
-int64_t Item_func_abs::int_op()
-{
-  int64_t value= args[0]->val_int();
-  if ((null_value= args[0]->null_value))
-    return 0;
-  return (value >= 0) || unsigned_flag ? value : -value;
-}
-
-
-my_decimal *Item_func_abs::decimal_op(my_decimal *decimal_value)
-{
-  my_decimal val, *value= args[0]->val_decimal(&val);
-  if (!(null_value= args[0]->null_value))
-  {
-    my_decimal2decimal(value, decimal_value);
-    if (decimal_value->sign())
-      my_decimal_neg(decimal_value);
-    return decimal_value;
-  }
-  return 0;
-}
-
-
-void Item_func_abs::fix_length_and_dec()
-{
-  Item_func_num1::fix_length_and_dec();
-  unsigned_flag= args[0]->unsigned_flag;
-}
-
-
-/** Gateway to natural LOG function. */
-double Item_func_ln::val_real()
-{
-  assert(fixed == 1);
-  double value= args[0]->val_real();
-  if ((null_value= args[0]->null_value))
-    return 0.0;
-  if (value <= 0.0)
-  {
-    signal_divide_by_null();
-    return 0.0;
-  }
-  return log(value);
-}
-
-/** 
-  Extended but so slower LOG function.
-
-  We have to check if all values are > zero and first one is not one
-  as these are the cases then result is not a number.
-*/ 
-double Item_func_log::val_real()
-{
-  assert(fixed == 1);
-  double value= args[0]->val_real();
-  if ((null_value= args[0]->null_value))
-    return 0.0;
-  if (value <= 0.0)
-  {
-    signal_divide_by_null();
-    return 0.0;
-  }
-  if (arg_count == 2)
-  {
-    double value2= args[1]->val_real();
-    if ((null_value= args[1]->null_value))
-      return 0.0;
-    if (value2 <= 0.0 || value == 1.0)
-    {
-      signal_divide_by_null();
-      return 0.0;
-    }
-    return log(value2) / log(value);
-  }
-  return log(value);
-}
-
-double Item_func_log2::val_real()
-{
-  assert(fixed == 1);
-  double value= args[0]->val_real();
-
-  if ((null_value=args[0]->null_value))
-    return 0.0;
-  if (value <= 0.0)
-  {
-    signal_divide_by_null();
-    return 0.0;
-  }
-  return log(value) / M_LN2;
-}
-
-double Item_func_log10::val_real()
-{
-  assert(fixed == 1);
-  double value= args[0]->val_real();
-  if ((null_value= args[0]->null_value))
-    return 0.0;
-  if (value <= 0.0)
-  {
-    signal_divide_by_null();
-    return 0.0;
-  }
-  return log10(value);
-}
-
-double Item_func_exp::val_real()
-{
-  assert(fixed == 1);
-  double value= args[0]->val_real();
-  if ((null_value=args[0]->null_value))
-    return 0.0; /* purecov: inspected */
-  return fix_result(exp(value));
-}
-
 double Item_func_sqrt::val_real()
 {
   assert(fixed == 1);

=== modified file 'drizzled/item_func.h'
--- drizzled/item_func.h	2008-10-10 21:17:54 +0000
+++ drizzled/item_func.h	2008-10-11 02:15:37 +0000
@@ -44,82 +44,16 @@
 #include <drizzled/functions/numhybrid.h>
 #include <drizzled/functions/num_op.h>
 #include <drizzled/functions/num1.h>
+#include <drizzled/functions/abs.h>
 #include <drizzled/functions/plus.h>
 #include <drizzled/functions/real.h>
+#include <drizzled/functions/dec.h>
+#include <drizzled/functions/exp.h>
+#include <drizzled/functions/ln.h>
+#include <drizzled/functions/log.h>
 #include <drizzled/functions/signed.h>
 #include <drizzled/functions/unsigned.h>
 
-class Item_func_abs :public Item_func_num1
-{
-public:
-  Item_func_abs(Item *a) :Item_func_num1(a) {}
-  double real_op();
-  int64_t int_op();
-  my_decimal *decimal_op(my_decimal *);
-  const char *func_name() const { return "abs"; }
-  void fix_length_and_dec();
-};
-
-// A class to handle logarithmic and trigonometric functions
-
-class Item_dec_func :public Item_real_func
-{
- public:
-  Item_dec_func(Item *a) :Item_real_func(a) {}
-  Item_dec_func(Item *a,Item *b) :Item_real_func(a,b) {}
-  void fix_length_and_dec()
-  {
-    decimals=NOT_FIXED_DEC; max_length=float_length(decimals);
-    maybe_null=1;
-  }
-};
-
-class Item_func_exp :public Item_dec_func
-{
-public:
-  Item_func_exp(Item *a) :Item_dec_func(a) {}
-  double val_real();
-  const char *func_name() const { return "exp"; }
-};
-
-
-class Item_func_ln :public Item_dec_func
-{
-public:
-  Item_func_ln(Item *a) :Item_dec_func(a) {}
-  double val_real();
-  const char *func_name() const { return "ln"; }
-};
-
-
-class Item_func_log :public Item_dec_func
-{
-public:
-  Item_func_log(Item *a) :Item_dec_func(a) {}
-  Item_func_log(Item *a,Item *b) :Item_dec_func(a,b) {}
-  double val_real();
-  const char *func_name() const { return "log"; }
-};
-
-
-class Item_func_log2 :public Item_dec_func
-{
-public:
-  Item_func_log2(Item *a) :Item_dec_func(a) {}
-  double val_real();
-  const char *func_name() const { return "log2"; }
-};
-
-
-class Item_func_log10 :public Item_dec_func
-{
-public:
-  Item_func_log10(Item *a) :Item_dec_func(a) {}
-  double val_real();
-  const char *func_name() const { return "log10"; }
-};
-
-
 class Item_func_sqrt :public Item_dec_func
 {
 public:

